include:
  - project: gitlab-org/professional-services-automation/pipelinecoe/pipeline-templates
    ref: main
    file: 'Application.gitlab-ci.yml'

stages:
  - package
  - test

docker-build:
  stage: package
  extends: .docker-build
  variables:
    REGISTRY: $CI_REGISTRY
    REGISTRY_USER: $CI_REGISTRY_USER
    REGISTRY_PASSWORD: $CI_REGISTRY_PASSWORD
    IMAGE_PATH: ''

check-version:
  stage: test
  image: ${CONTAINER_PATH}/maven-container:latest
  script:
    - mvn --version
